package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

/**
 * @Description 操作类型
 * @Author: ph
 * @Date: 2019/11/5 17:30
 */
public class Operation {

    /**
     * 操作类型
     */
    private String operation;

    /**
     * 操作人
     */
    private Long operator;

    /**
     * 操作角色
     */
    private Integer role;

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Long getOperator() {
        return operator;
    }

    public void setOperator(Long operator) {
        this.operator = operator;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
